
local origin_presets = CharacterTweakData._presets

function CharacterTweakData:_presets(tweak_data)
	local presets = origin_presets(self, tweak_data)
	log("CharacterTweakData is Called")
	
	presets.hurt_severities.hordemook = {
		bullet = {
			health_reference = "current",
			zones = {
				{
					heavy = 0.05,
					health_limit = 0.1,
					light = 0.8,
					moderate = 0.15,
				},
				{
					heavy = 0.1,
					light = 0.7,
					moderate = 0.15,
					health_limit = 0.15
				},
				{
					heavy = 0.2,
					light = 0.6,
					moderate = 0.2,
					health_limit = 0.2
				},
				{
					heavy = 0.6,
					light = 0,
					moderate = 0.4,
					health_limit = 0.25
				},
				{
					heavy = 0.4,
					explode = 0.4,
					moderate = 0.2,
					health_limit = 0.35
				},
				{
					light = 0,
					moderate = 0,
					heavy = 1
				}
			}
		},
		explosion = {
			health_reference = "current",
			zones = {
				{
					moderate = 0.6,
					heavy = 0.4,
					health_limit = 0.2
				},
				{
					explode = 0.4,
					heavy = 0.6,
					health_limit = 0.5
				},
				{
					explode = 0.8,
					heavy = 0.2
				}
			}
		},
		melee = {
			health_reference = "current",
			zones = {
				{
					heavy = 0,
					health_limit = 0.05,
					light = 0.7,
					moderate = 0.3,
					none = 0
				},
				{
					heavy = 0.4,
					light = 0,
					explode = 0,
					moderate = 0.6,
					health_limit = 0.2
				},
				{
					heavy = 0.2,
					explode = 0.4,
					moderate = 0.4,
					health_limit = 0.3
				},
				{
					light = 0,
					moderate = 0,
					heavy = 9
				}
			}
		},
		fire = {
			health_reference = "current",
			zones = {
				{
					fire = 1
				}
			}
		},
		poison = {
			health_reference = "current",
			zones = {
				{
					poison = 1,
					none = 0
				}
			}
		}
	}
	presets.hurt_severities.heavyhordemook = {
		bullet = {
			health_reference = "current",
			zones = {
				{
					heavy = 0.05,
					health_limit = 0.2,
					light = 0.9,
					moderate = 0.05,
				},
				{
					heavy = 0.3,
					light = 0.3,
					moderate = 0.4,
					health_limit = 0.3
				},
				{
					heavy = 0.4,
					light = 0.2,
					moderate = 0.4,
					health_limit = 0.4
				},
				{
					heavy = 0.5,
					light = 0,
					moderate = 0.5,
					health_limit = 0.5
				},
				{
					heavy = 0.4,
					explode = 0.2,
					moderate = 0.4,
					health_limit = 0.6
				},
				{
					light = 0,
					moderate = 0,
					heavy = 1
				}
			}
		},
		explosion = {
			health_reference = "current",
			zones = {
				{
					moderate = 0.6,
					heavy = 0.4,
					health_limit = 0.2
				},
				{
					explode = 0.4,
					heavy = 0.6,
					health_limit = 0.5
				},
				{
					explode = 0.8,
					heavy = 0.2
				}
			}
		},
		melee = {
			health_reference = "current",
			zones = {
				{
					heavy = 0,
					health_limit = 0.1,
					light = 0.7,
					moderate = 0.3,
					none = 0
				},
				{
					heavy = 0.4,
					light = 0,
					explode = 0,
					moderate = 0.6,
					health_limit = 0.3
				},
				{
					heavy = 0.2,
					explode = 0.4,
					moderate = 0.4,
					health_limit = 0.4
				},
				{
					light = 0,
					moderate = 0,
					heavy = 9
				}
			}
		},
		fire = {
			health_reference = "current",
			zones = {
				{
					fire = 1
				}
			}
		},
		poison = {
			health_reference = "current",
			zones = {
				{
					poison = 1,
					none = 0
				}
			}
		}
	}
	presets.hurt_severities.specialenemy = {
		bullet = {
			health_reference = "current",
			zones = {
				{
					heavy = 0,
					health_limit = 0.3, --increase health limits for minimum staggers, needs significant damage before they start reacting
					light = 0.95,
					moderate = 0.05,
				},
				{
					heavy = 0.05,
					light = 0.9,
					moderate = 0.05,
					health_limit = 0.4
				},
				{
					heavy = 0.2,
					light = 0.6,
					moderate = 0.2,
					health_limit = 0.5
				},
				{
					light = 0, --it never gets to explode reactions,
					moderate = 0,
					heavy = 1
				}
			}
		},
		explosion = {
			health_reference = "current",
			zones = {
				{
					moderate = 0.6, --no explode reacts
					heavy = 0.4,
					health_limit = 0.5
				},
				{
					explode = 0.8,
					heavy = 0.2
				}
			}
		},
		melee = {
			health_reference = "current",
			zones = {
				{
					heavy = 0,
					health_limit = 0.2,
					light = 0.7,
					moderate = 0.3,
					none = 0
				},
				{
					heavy = 0.4,
					light = 0,
					explode = 0,
					moderate = 0.6,
					health_limit = 0.45
				},
				{
					heavy = 0.2,
					explode = 0.4,
					moderate = 0.4,
					health_limit = 0.6
				},
				{
					light = 0,
					moderate = 0,
					heavy = 9
				}
			}
		},
		fire = {
			health_reference = "current",
			zones = {
				{
					fire = 1
				}
			}
		},
		poison = {
			health_reference = "current",
			zones = {
				{
					poison = 1,
					none = 0
				}
			}
		}
	}
	
	presets.base.damage = {
		hurt_severity = presets.hurt_severities.heavyhordemook,
		death_severity = 0.5,
		explosion_damage_mul = 1
	}
	
	presets.weapon.simple = deep_clone(presets.weapon.normal)
	presets.weapon.civil = deep_clone(presets.weapon.good)
	presets.weapon.complex = deep_clone(presets.weapon.expert)
	presets.weapon.anarchy = deep_clone(presets.weapon.insane)
	
	presets.weapon.simple.ger_kar98_npc.aim_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_kar98_npc.focus_delay = 4
	presets.weapon.simple.ger_kar98_npc.focus_dis = 200
	presets.weapon.simple.ger_kar98_npc.spread = 12
	presets.weapon.simple.ger_kar98_npc.miss_dis = 10
	presets.weapon.simple.ger_kar98_npc.RELOAD_SPEED = 0.8
	presets.weapon.simple.ger_kar98_npc.melee_speed = 1
	presets.weapon.simple.ger_kar98_npc.melee_dmg = 5
	presets.weapon.simple.ger_kar98_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_kar98_npc.range = {
		optimal = 2000,
		far = 20000,
		close = 1800
	}
	presets.weapon.simple.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.95,
				0.85
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.7,
				0.85
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.2,
			r = 2500,
			acc = {
				0.5,
				0.7
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 5000,
			acc = {
				0.4,
				0.6
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.7,
			r = 10000,
			acc = {
				0.3,
				0.5
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 20000,
			acc = {
				0,
				0.4
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.simple.ger_luger_npc.aim_delay = {
		0.5,
		1.5
	}
	presets.weapon.simple.ger_luger_npc.focus_delay = 3
	presets.weapon.simple.ger_luger_npc.focus_dis = 200
	presets.weapon.simple.ger_luger_npc.spread = 5
	presets.weapon.simple.ger_luger_npc.miss_dis = 10
	presets.weapon.simple.ger_luger_npc.RELOAD_SPEED = 0.8
	presets.weapon.simple.ger_luger_npc.melee_speed = 1
	presets.weapon.simple.ger_luger_npc.melee_dmg = 5
	presets.weapon.simple.ger_luger_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_luger_npc.range = {
		optimal = 800,
		far = 2400,
		close = 400
	}
	presets.weapon.simple.ger_luger_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 900,
			acc = {
				0.5,
				0.7
			},
			recoil = {
				0.3,
				0.7
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1500,
			acc = {
				0.3,
				0.6
			},
			recoil = {
				0.8,
				1.1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 2500,
			acc = {
				0.1,
				0.5
			},
			recoil = {
				1.3,
				1.4
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.simple.ger_mp38_npc.aim_delay = {
		0.3,
		1
	}
	presets.weapon.simple.ger_mp38_npc.focus_delay = 2
	presets.weapon.simple.ger_mp38_npc.focus_dis = 200
	presets.weapon.simple.ger_mp38_npc.spread = 16
	presets.weapon.simple.ger_mp38_npc.miss_dis = 10
	presets.weapon.simple.ger_mp38_npc.RELOAD_SPEED = 0.8
	presets.weapon.simple.ger_mp38_npc.melee_speed = 1
	presets.weapon.simple.ger_mp38_npc.melee_dmg = 5
	presets.weapon.simple.ger_mp38_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_mp38_npc.range = {
		optimal = 1200,
		far = 2000,
		close = 400
	}
	presets.weapon.simple.ger_mp38_npc.autofire_rounds = {
		10,
		15
	}
	presets.weapon.simple.ger_mp38_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 500,
			acc = {
				0.8,
				1
			},
			recoil = {
				2.6,
				3
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				2.6,
				3
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0.0,
				0.5
			},
			recoil = {
				3,
				4
			},
			mode = {
				0,
				3,
				3,
				0
			}
		}
	}
	presets.weapon.simple.ger_stg44_npc.aim_delay = {
		0.3,
		1
	}
	presets.weapon.simple.ger_stg44_npc.focus_delay = 2
	presets.weapon.simple.ger_stg44_npc.focus_dis = 200
	presets.weapon.simple.ger_stg44_npc.spread = 8
	presets.weapon.simple.ger_stg44_npc.miss_dis = 10
	presets.weapon.simple.ger_stg44_npc.RELOAD_SPEED = 0.8
	presets.weapon.simple.ger_stg44_npc.melee_speed = 1
	presets.weapon.simple.ger_stg44_npc.melee_dmg = 5
	presets.weapon.simple.ger_stg44_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_stg44_npc.range = {
		optimal = 2400,
		far = 2600,
		close = 1200
	}
	presets.weapon.simple.ger_stg44_npc.autofire_rounds = {
		3,
		6
	}
	presets.weapon.simple.ger_stg44_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 300,
			acc = {
				0.6,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.4,
				0.8
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.2,
			r = 2000,
			acc = {
				0.2,
				0.6
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 2500,
			acc = {
				0,
				0.4
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 0.8,
			r = 3000,
			acc = {
				0,
				0.2
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 4000,
			acc = {
				0,
				0.2
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		}
	}
	presets.weapon.simple.ger_geco_npc.aim_delay = {
		1,
		3
	}
	presets.weapon.simple.ger_geco_npc.focus_delay = 3
	presets.weapon.simple.ger_geco_npc.focus_dis = 200
	presets.weapon.simple.ger_geco_npc.spread = 10
	presets.weapon.simple.ger_geco_npc.miss_dis = 20
	presets.weapon.simple.ger_geco_npc.RELOAD_SPEED = 2.2
	presets.weapon.simple.ger_geco_npc.melee_speed = 1
	presets.weapon.simple.ger_geco_npc.melee_dmg = 5
	presets.weapon.simple.ger_geco_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.simple.ger_geco_npc.range = {
		optimal = 600,
		far = 1200,
		close = 300
	}
	presets.weapon.simple.ger_geco_npc.FALLOFF = {
		{
			dmg_mul = 3,
			r = 100,
			acc = {
				0,
				1
			},
			recoil = {
				1,
				1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0,
				1
			},
			recoil = {
				1,
				1.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0,
				0.8
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0,
				0.6
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}	
	presets.weapon.civil.ger_kar98_npc.aim_delay = {
		0.8,
		1.7
	}
	presets.weapon.civil.ger_kar98_npc.focus_delay = 4
	presets.weapon.civil.ger_kar98_npc.focus_dis = 200
	presets.weapon.civil.ger_kar98_npc.spread = 12
	presets.weapon.civil.ger_kar98_npc.miss_dis = 5
	presets.weapon.civil.ger_kar98_npc.RELOAD_SPEED = 0.8
	presets.weapon.civil.ger_kar98_npc.melee_speed = 1
	presets.weapon.civil.ger_kar98_npc.melee_dmg = 5
	presets.weapon.civil.ger_kar98_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.civil.ger_kar98_npc.range = {
		optimal = 2000,
		far = 20000,
		close = 1800
	}
	presets.weapon.civil.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.9,
				1
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.85,
				0.95
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.2,
			r = 2500,
			acc = {
				0.8,
				0.9
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 5000,
			acc = {
				0.7,
				0.8
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.7,
			r = 10000,
			acc = {
				0.5,
				0.7
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 20000,
			acc = {
				0.2,
				0.6
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.civil.ger_luger_npc.aim_delay = {
		0.4,
		1.3
	}
	presets.weapon.civil.ger_luger_npc.focus_delay = 2
	presets.weapon.civil.ger_luger_npc.focus_dis = 200
	presets.weapon.civil.ger_luger_npc.spread = 5
	presets.weapon.civil.ger_luger_npc.miss_dis = 10
	presets.weapon.civil.ger_luger_npc.RELOAD_SPEED = 0.8
	presets.weapon.civil.ger_luger_npc.melee_speed = 1
	presets.weapon.civil.ger_luger_npc.melee_dmg = 5
	presets.weapon.civil.ger_luger_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.civil.ger_luger_npc.range = {
		optimal = 800,
		far = 2400,
		close = 400
	}
	presets.weapon.civil.ger_luger_npc.FALLOFF = {
				{
			dmg_mul = 1.5,
			r = 900,
			acc = {
				0.6,
				0.8
			},
			recoil = {
				0.3,
				0.7
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1500,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				0.7,
				1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 2500,
			acc = {
				0.3,
				0.7
			},
			recoil = {
				1.2,
				1.3
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.civil.ger_mp38_npc.aim_delay = {
		0.2,
		0.7
	}
	presets.weapon.civil.ger_mp38_npc.focus_delay = 1.6
	presets.weapon.civil.ger_mp38_npc.focus_dis = 200
	presets.weapon.civil.ger_mp38_npc.spread = 16
	presets.weapon.civil.ger_mp38_npc.miss_dis = 10
	presets.weapon.civil.ger_mp38_npc.RELOAD_SPEED = 0.8
	presets.weapon.civil.ger_mp38_npc.melee_speed = 1
	presets.weapon.civil.ger_mp38_npc.melee_dmg = 5
	presets.weapon.civil.ger_mp38_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.civil.ger_mp38_npc.range = {
		optimal = 1200,
		far = 2000,
		close = 400
	}
	presets.weapon.civil.ger_mp38_npc.autofire_rounds = {
		15,
		25
	}
	presets.weapon.civil.ger_mp38_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 500,
			acc = {
				0.9,
				1
			},
			recoil = {
				2.3,
				2.8
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.7,
				0.9
			},
			recoil = {
				2.3,
				2.8
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0.3,
				0.7
			},
			recoil = {
				2.7,
				3.8
			},
			mode = {
				0,
				3,
				3,
				0
			}
		}
	}
	presets.weapon.civil.ger_stg44_npc.aim_delay = {
		0.2,
		0.7
	}
	presets.weapon.civil.ger_stg44_npc.focus_delay = 3
	presets.weapon.civil.ger_stg44_npc.focus_dis = 200
	presets.weapon.civil.ger_stg44_npc.spread = 8
	presets.weapon.civil.ger_stg44_npc.miss_dis = 10
	presets.weapon.civil.ger_stg44_npc.RELOAD_SPEED = 0.8
	presets.weapon.civil.ger_stg44_npc.melee_speed = 1
	presets.weapon.civil.ger_stg44_npc.melee_dmg = 5
	presets.weapon.civil.ger_stg44_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.civil.ger_stg44_npc.range = {
		optimal = 2400,
		far = 2600,
		close = 1200
	}
	presets.weapon.civil.ger_stg44_npc.autofire_rounds = {
		4,
		8
	}
	presets.weapon.civil.ger_stg44_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 300,
			acc = {
				0.8,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.6,
				0.1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.2,
			r = 2000,
			acc = {
				0.4,
				0.8
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 2500,
			acc = {
				0.2,
				0.6
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 0.8,
			r = 3000,
			acc = {
				0,
				0.4
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 4000,
			acc = {
				0,
				0.4
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		}
	}
	presets.weapon.civil.ger_geco_npc.aim_delay = {
		0.75,
		2.5
	}
	presets.weapon.civil.ger_geco_npc.focus_delay = 3
	presets.weapon.civil.ger_geco_npc.focus_dis = 200
	presets.weapon.civil.ger_geco_npc.spread = 10
	presets.weapon.civil.ger_geco_npc.miss_dis = 40
	presets.weapon.civil.ger_geco_npc.RELOAD_SPEED = 1.6
	presets.weapon.civil.ger_geco_npc.melee_speed = 1
	presets.weapon.civil.ger_geco_npc.melee_dmg = 5
	presets.weapon.civil.ger_geco_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.civil.ger_geco_npc.range = {
		optimal = 600,
		far = 1200,
		close = 300
	}
	presets.weapon.civil.ger_geco_npc.FALLOFF = {
				{
			dmg_mul = 3,
			r = 100,
			acc = {
				0.3,
				1
			},
			recoil = {
				1,
				1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.2,
				1
			},
			recoil = {
				1,
				1.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.1,
				0.9
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0,
				0.7
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	
	presets.weapon.complex.ger_kar98_npc.aim_delay = {
		0.6,
		1.4
	}
	presets.weapon.complex.ger_kar98_npc.focus_delay = 3
	presets.weapon.complex.ger_kar98_npc.focus_dis = 200
	presets.weapon.complex.ger_kar98_npc.spread = 8
	presets.weapon.complex.ger_kar98_npc.miss_dis = 5
	presets.weapon.complex.ger_kar98_npc.RELOAD_SPEED = 0.8
	presets.weapon.complex.ger_kar98_npc.melee_speed = 1
	presets.weapon.complex.ger_kar98_npc.melee_dmg = 5
	presets.weapon.complex.ger_kar98_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.complex.ger_kar98_npc.range = {
		optimal = 2000,
		far = 20000,
		close = 1800
	}
	presets.weapon.complex.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.95,
				1
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.9,
				0.95
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.2,
			r = 2500,
			acc = {
				0.85,
				0.95
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 5000,
			acc = {
				0.75,
				0.85
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.7,
			r = 10000,
			acc = {
				0.6,
				0.75
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 20000,
			acc = {
				0.3,
				0.7
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.complex.ger_luger_npc.aim_delay = {
		0.3,
		1.1
	}
	presets.weapon.complex.ger_luger_npc.focus_delay = 2
	presets.weapon.complex.ger_luger_npc.focus_dis = 200
	presets.weapon.complex.ger_luger_npc.spread = 5
	presets.weapon.complex.ger_luger_npc.miss_dis = 10
	presets.weapon.complex.ger_luger_npc.RELOAD_SPEED = 0.8
	presets.weapon.complex.ger_luger_npc.melee_speed = 1
	presets.weapon.complex.ger_luger_npc.melee_dmg = 5
	presets.weapon.complex.ger_luger_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.complex.ger_luger_npc.range = {
		optimal = 800,
		far = 2400,
		close = 400
	}
	presets.weapon.complex.ger_luger_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 900,
			acc = {
				0.7,
				0.9
			},
			recoil = {
				0.2,
				0.5
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1500,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				0.6,
				0.9
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 2500,
			acc = {
				0.5,
				0.7
			},
			recoil = {
				1.1,
				1.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.complex.ger_mp38_npc.aim_delay = {
		0.1,
		0.4
	}
	presets.weapon.complex.ger_mp38_npc.focus_delay = 1.6
	presets.weapon.complex.ger_mp38_npc.focus_dis = 200
	presets.weapon.complex.ger_mp38_npc.spread = 14
	presets.weapon.complex.ger_mp38_npc.miss_dis = 10
	presets.weapon.complex.ger_mp38_npc.RELOAD_SPEED = 0.8
	presets.weapon.complex.ger_mp38_npc.melee_speed = 1
	presets.weapon.complex.ger_mp38_npc.melee_dmg = 5
	presets.weapon.complex.ger_mp38_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.complex.ger_mp38_npc.range = {
		optimal = 1200,
		far = 2000,
		close = 400
	}
	presets.weapon.complex.ger_mp38_npc.autofire_rounds = {
		20,
		32
	}
	presets.weapon.complex.ger_mp38_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 500,
			acc = {
				1,
				1
			},
			recoil = {
				2,
				2.6
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.9,
				0.1
			},
			recoil = {
				2,
				2.6
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				2.4,
				3.6
			},
			mode = {
				0,
				3,
				3,
				0
			}
		}
	}
	presets.weapon.complex.ger_stg44_npc.aim_delay = {
		0.1,
		0.4
	}
	presets.weapon.complex.ger_stg44_npc.focus_delay = 1
	presets.weapon.complex.ger_stg44_npc.focus_dis = 200
	presets.weapon.complex.ger_stg44_npc.spread = 8
	presets.weapon.complex.ger_stg44_npc.miss_dis = 10
	presets.weapon.complex.ger_stg44_npc.RELOAD_SPEED = 0.8
	presets.weapon.complex.ger_stg44_npc.melee_speed = 1
	presets.weapon.complex.ger_stg44_npc.melee_dmg = 5
	presets.weapon.complex.ger_stg44_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.complex.ger_stg44_npc.range = {
		optimal = 2400,
		far = 2600,
		close = 1200
	}
	presets.weapon.complex.ger_stg44_npc.autofire_rounds = {
		8,
		12
	}
	presets.weapon.complex.ger_stg44_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 300,
			acc = {
				1,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.8,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.2,
			r = 2000,
			acc = {
				0.6,
				0.1
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 2500,
			acc = {
				0.4,
				0.8
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 0.8,
			r = 3000,
			acc = {
				0.4,
				0.6
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 4000,
			acc = {
				0.4,
				0.6
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		}
	}
	presets.weapon.complex.ger_geco_npc.aim_delay = {
		0.5,
		2
	}
	presets.weapon.complex.ger_geco_npc.focus_delay = 3
	presets.weapon.complex.ger_geco_npc.focus_dis = 200
	presets.weapon.complex.ger_geco_npc.spread = 8
	presets.weapon.complex.ger_geco_npc.miss_dis = 60
	presets.weapon.complex.ger_geco_npc.RELOAD_SPEED = 1.2
	presets.weapon.complex.ger_geco_npc.melee_speed = 1
	presets.weapon.complex.ger_geco_npc.melee_dmg = 5
	presets.weapon.complex.ger_geco_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.complex.ger_geco_npc.range = {
		optimal = 600,
		far = 1200,
		close = 300
	}
	presets.weapon.complex.ger_geco_npc.FALLOFF = {
		{
			dmg_mul = 3,
			r = 100,
			acc = {
				0.6,
				1
			},
			recoil = {
				1,
				1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.4,
				1
			},
			recoil = {
				1,
				1.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.2,
				1
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0,
				0.8
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	
	presets.weapon.anarchy.ger_kar98_npc.aim_delay = {
		0.4,
		1.1
	}
	presets.weapon.anarchy.ger_kar98_npc.focus_delay = 2.6
	presets.weapon.anarchy.ger_kar98_npc.focus_dis = 200
	presets.weapon.anarchy.ger_kar98_npc.spread = 5
	presets.weapon.anarchy.ger_kar98_npc.miss_dis = 10
	presets.weapon.anarchy.ger_kar98_npc.RELOAD_SPEED = 0.8
	presets.weapon.anarchy.ger_kar98_npc.melee_speed = 1
	presets.weapon.anarchy.ger_kar98_npc.melee_dmg = 5
	presets.weapon.anarchy.ger_kar98_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.anarchy.ger_kar98_npc.range = {
		optimal = 2000,
		far = 20000,
		close = 1800
	}
	presets.weapon.anarchy.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				1,
				1
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				0.9,
				1
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1.2,
			r = 2500,
			acc = {
				0.85,
				0.95
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 5000,
			acc = {
				0.75,
				0.9
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.7,
			r = 10000,
			acc = {
				0.6,
				0.8
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 20000,
			acc = {
				0.4,
				0.7
			},
			recoil = {
				0.8,
				0.8
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.anarchy.ger_luger_npc.aim_delay = {
		0.2,
		0.7
	}
	presets.weapon.anarchy.ger_luger_npc.focus_delay = 2
	presets.weapon.anarchy.ger_luger_npc.focus_dis = 200
	presets.weapon.anarchy.ger_luger_npc.spread = 5
	presets.weapon.anarchy.ger_luger_npc.miss_dis = 20
	presets.weapon.anarchy.ger_luger_npc.RELOAD_SPEED = 0.8
	presets.weapon.anarchy.ger_luger_npc.melee_speed = 1
	presets.weapon.anarchy.ger_luger_npc.melee_dmg = 5
	presets.weapon.anarchy.ger_luger_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.anarchy.ger_luger_npc.range = {
		optimal = 800,
		far = 2400,
		close = 400
	}
	presets.weapon.anarchy.ger_luger_npc.FALLOFF = {
		{
			dmg_mul = 1.5,
			r = 900,
			acc = {
				0.9,
				1
			},
			recoil = {
				0.1,
				0.3
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1500,
			acc = {
				0.3,
				0.5
			},
			recoil = {
				0.8,
				1.1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0.5,
			r = 2500,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				0.7,
				0.9
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	presets.weapon.anarchy.ger_mp38_npc.aim_delay = {
		0.1,
		0.1
	}
	presets.weapon.anarchy.ger_mp38_npc.focus_delay = 1.6
	presets.weapon.anarchy.ger_mp38_npc.focus_dis = 200
	presets.weapon.anarchy.ger_mp38_npc.spread = 12
	presets.weapon.anarchy.ger_mp38_npc.miss_dis = 10
	presets.weapon.anarchy.ger_mp38_npc.RELOAD_SPEED = 0.8
	presets.weapon.anarchy.ger_mp38_npc.melee_speed = 1
	presets.weapon.anarchy.ger_mp38_npc.melee_dmg = 5
	presets.weapon.anarchy.ger_mp38_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.anarchy.ger_mp38_npc.range = {
		optimal = 1200,
		far = 2000,
		close = 400
	}
	presets.weapon.anarchy.ger_mp38_npc.autofire_rounds = {
		25,
		32
	}
	presets.weapon.anarchy.ger_mp38_npc.FALLOFF = {
				{
			dmg_mul = 1.5,
			r = 500,
			acc = {
				0.8,
				1
			},
			recoil = {
				1.7,
				2.2
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.5,
				0.8
			},
			recoil = {
				1.7,
				2.2
			},
			mode = {
				0,
				0,
				0,
				1
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0.0,
				0.5
			},
			recoil = {
				2.3,
				3.2
			},
			mode = {
				0,
				3,
				3,
				0
			}
		}
	}
	presets.weapon.anarchy.ger_stg44_npc.aim_delay = {
		0.1,
		0.1
	}
	presets.weapon.anarchy.ger_stg44_npc.focus_delay = 2
	presets.weapon.anarchy.ger_stg44_npc.focus_dis = 200
	presets.weapon.anarchy.ger_stg44_npc.spread = 8
	presets.weapon.anarchy.ger_stg44_npc.miss_dis = 10
	presets.weapon.anarchy.ger_stg44_npc.RELOAD_SPEED = 0.8
	presets.weapon.anarchy.ger_stg44_npc.melee_speed = 1
	presets.weapon.anarchy.ger_stg44_npc.melee_dmg = 5
	presets.weapon.anarchy.ger_stg44_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.anarchy.ger_stg44_npc.range = {
		optimal = 2400,
		far = 2600,
		close = 1200
	}
	presets.weapon.anarchy.ger_stg44_npc.autofire_rounds = {
		8,
		12
	}
	presets.weapon.anarchy.ger_stg44_npc.FALLOFF = {
		{
			dmg_mul = 2,
			r = 300,
			acc = {
				1,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.5,
			r = 1000,
			acc = {
				1,
				1
			},
			recoil = {
				0.4,
				0.8
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1.2,
			r = 2000,
			acc = {
				0.8,
				1
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 1,
			r = 2500,
			acc = {
				0.6,
				1
			},
			recoil = {
				0.6,
				0.10
			},
			mode = {
				0,
				3,
				3,
				1
			}
		},
		{
			dmg_mul = 0.8,
			r = 3000,
			acc = {
				0.6,
				0.8
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 4000,
			acc = {
				0.6,
				0.8
			},
			recoil = {
				0.8,
				1.2
			},
			mode = {
				3,
				1,
				1,
				0
			}
		}
	}
	presets.weapon.anarchy.ger_geco_npc.aim_delay = {
		0.25,
		1.5
	}
	presets.weapon.anarchy.ger_geco_npc.focus_delay = 0.7
	presets.weapon.anarchy.ger_geco_npc.focus_dis = 200
	presets.weapon.anarchy.ger_geco_npc.spread = 8
	presets.weapon.anarchy.ger_geco_npc.miss_dis = 100
	presets.weapon.anarchy.ger_geco_npc.RELOAD_SPEED = 1.2
	presets.weapon.anarchy.ger_geco_npc.melee_speed = 1
	presets.weapon.anarchy.ger_geco_npc.melee_dmg = 5
	presets.weapon.anarchy.ger_geco_npc.melee_retry_delay = {
		1,
		2
	}
	presets.weapon.anarchy.ger_geco_npc.range = {
		optimal = 600,
		far = 1200,
		close = 300
	}
	presets.weapon.anarchy.ger_geco_npc.FALLOFF = {
{
			dmg_mul = 3,
			r = 100,
			acc = {
				0.9,
				1
			},
			recoil = {
				1,
				1
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2,
			r = 500,
			acc = {
				0.6,
				1
			},
			recoil = {
				1,
				1.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 1,
			r = 1000,
			acc = {
				0.3,
				1
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 0,
			r = 1500,
			acc = {
				0,
				0.9
			},
			recoil = {
				1.1,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	return presets
end

function CharacterTweakData:_init_russian(presets)
	self.russian = {
		damage = presets.gang_member_damage
	}
	self.russian.damage.hurt_severity = deep_clone(presets.hurt_severities.only_explosion_hurts)
	self.russian.weapon = deep_clone(presets.weapon.gang_member)
	self.russian.HEALTH_INIT = 8000
	self.russian.weapon.weapons_of_choice = {
		primary = Idstring("units/vanilla/weapons/wpn_npc_usa_garand/wpn_npc_usa_garand"),
		secondary = Idstring("units/vanilla/weapons/wpn_npc_usa_garand/wpn_npc_usa_garand")
	}
	self.russian.detection = presets.detection.gang_member
	self.russian.dodge = presets.dodge.athletic
	self.russian.move_speed = presets.move_speed.lightning
	self.russian.crouch_move = false
	self.russian.speech_prefix = "russ"
	self.russian.weapon_voice = "1"
	self.russian.access = "teamAI1"
	self.russian.arrest = {
		timeout = 2400,
		aggression_timeout = 6,
		arrest_timeout = 2400
	}
	self.russian.access = "teamAI1"
	self.russian.vision = presets.vision.special_forces
end

function CharacterTweakData:_init_german(presets)
	self.german = {
		damage = presets.gang_member_damage
	}
	self.german.damage.hurt_severity = deep_clone(presets.hurt_severities.only_explosion_hurts)
	self.german.weapon = deep_clone(presets.weapon.gang_member)
	self.german.HEALTH_INIT = 8000
	self.german.weapon.weapons_of_choice = {
		primary = Idstring("units/vanilla/weapons/wpn_npc_smg_thompson/wpn_npc_smg_thompson"),
		secondary = Idstring("units/vanilla/weapons/wpn_npc_smg_thompson/wpn_npc_smg_thompson")
	}
	self.german.detection = presets.detection.gang_member
	self.german.dodge = presets.dodge.athletic
	self.german.move_speed = presets.move_speed.lightning
	self.german.crouch_move = false
	self.german.speech_prefix = "germ"
	self.german.weapon_voice = "2"
	self.german.access = "teamAI1"
	self.german.arrest = {
		timeout = 2400,
		aggression_timeout = 6,
		arrest_timeout = 2400
	}
	self.german.vision = presets.vision.special_forces
end

function CharacterTweakData:_init_british(presets)
	self.british = {
		damage = presets.gang_member_damage
	}
	self.british.damage.hurt_severity = deep_clone(presets.hurt_severities.only_explosion_hurts)
	self.british.weapon = deep_clone(presets.weapon.gang_member)
	self.british.HEALTH_INIT = 8000
	self.british.weapon.weapons_of_choice = {
		primary = Idstring("units/vanilla/weapons/wpn_npc_usa_garand/wpn_npc_usa_garand"),
		secondary = Idstring("units/vanilla/weapons/wpn_npc_usa_garand/wpn_npc_usa_garand")
	}
	self.british.detection = presets.detection.gang_member
	self.british.dodge = presets.dodge.athletic
	self.british.move_speed = presets.move_speed.lightning
	self.british.crouch_move = false
	self.british.speech_prefix = "brit"
	self.british.weapon_voice = "3"
	self.british.access = "teamAI1"
	self.british.arrest = {
		timeout = 2400,
		aggression_timeout = 6,
		arrest_timeout = 2400
	}
	self.british.vision = presets.vision.special_forces
end

function CharacterTweakData:_init_american(presets)
	self.american = {
		damage = presets.gang_member_damage
	}
	self.american.damage.hurt_severity = deep_clone(presets.hurt_severities.only_explosion_hurts)
	self.american.weapon = deep_clone(presets.weapon.gang_member)
	self.american.HEALTH_INIT = 8000
	self.american.weapon.weapons_of_choice = {
		primary = Idstring("units/vanilla/weapons/wpn_npc_smg_thompson/wpn_npc_smg_thompson"),
		secondary = Idstring("units/vanilla/weapons/wpn_npc_smg_thompson/wpn_npc_smg_thompson")
	}
	self.american.detection = presets.detection.gang_member
	self.american.dodge = presets.dodge.athletic
	self.american.move_speed = presets.move_speed.lightning
	self.american.crouch_move = false
	self.american.speech_prefix = "amer"
	self.american.weapon_voice = "3"
	self.american.access = "teamAI1"
	self.american.arrest = {
		timeout = 2400,
		aggression_timeout = 6,
		arrest_timeout = 2400
	}
	self.american.vision = presets.vision.special_forces
end

function CharacterTweakData:_init_german_grunt_light(presets)
	self.german_grunt_light = deep_clone(presets.base)
	self.german_grunt_light.experience = {}
	self.german_grunt_light.weapon = presets.weapon.civil
	self.german_grunt_light.detection = presets.detection.normal
	self.german_grunt_light.vision = presets.vision.easy
	self.german_grunt_light.HEALTH_INIT = 150
	self.german_grunt_light.BASE_HEALTH_INIT = 150
	self.german_grunt_light.headshot_dmg_mul = 1
	self.german_grunt_light.move_speed = presets.move_speed.fast
	self.german_grunt_light.surrender_break_time = {
		10,
		15
	}
	self.german_grunt_light.suppression = presets.suppression.easy
	self.german_grunt_light.surrender = presets.surrender.normal
	self.german_grunt_light.ecm_vulnerability = 1
	self.german_grunt_light.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_grunt_light.weapon_voice = "1"
	self.german_grunt_light.experience.cable_tie = "tie_swat"
	self.german_grunt_light.speech_prefix_p1 = "ger"
	self.german_grunt_light.speech_prefix_p2 = "soldier"
	self.german_grunt_light.speech_prefix_count = 4
	self.german_grunt_light.access = "swat"
	self.german_grunt_light.silent_priority_shout = "shout_loud_soldier"
	self.german_grunt_light.dodge = presets.dodge.athletic
	self.german_grunt_light.deathguard = false
	self.german_grunt_light.chatter = presets.enemy_chatter.cop
	self.german_grunt_light.steal_loot = false
	self.german_grunt_light.no_retreat = true
	self.german_grunt_light.no_arrest = true
	self.german_grunt_light.loot_table = "easy_enemy"
	self.german_grunt_light.type = CharacterTweakData.ENEMY_TYPE_SOLDIER
	self.german_grunt_light.carry_tweak_corpse = "german_grunt_light_body"
	self.german_grunt_light_mp38 = clone(self.german_grunt_light)
	self.german_grunt_light_kar98 = clone(self.german_grunt_light)
	self.german_grunt_light_shotgun = clone(self.german_grunt_light)

	table.insert(self._enemies_list, "german_gebirgsjager_light")
	table.insert(self._enemies_list, "german_grunt_light_mp38")
	table.insert(self._enemies_list, "german_grunt_light_kar98")
	table.insert(self._enemies_list, "german_grunt_light_shotgun")
end

function CharacterTweakData:_init_german_grunt_mid(presets)
	self.german_grunt_mid = deep_clone(presets.base)
	self.german_grunt_mid.experience = {}
	self.german_grunt_mid.weapon = presets.weapon.civil
	self.german_grunt_mid.detection = presets.detection.normal
	self.german_grunt_mid.vision = presets.vision.easy
	self.german_grunt_mid.HEALTH_INIT = 200
	self.german_grunt_mid.BASE_HEALTH_INIT = 200
	self.german_grunt_mid.headshot_dmg_mul = 1
	self.german_grunt_mid.move_speed = presets.move_speed.normal
	self.german_grunt_mid.surrender_break_time = {
		10,
		15
	}
	self.german_grunt_mid.suppression = presets.suppression.easy
	self.german_grunt_mid.surrender = presets.surrender.normal
	self.german_grunt_mid.ecm_vulnerability = 1
	self.german_grunt_mid.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_grunt_mid.weapon_voice = "1"
	self.german_grunt_mid.experience.cable_tie = "tie_swat"
	self.german_grunt_mid.speech_prefix_p1 = "ger"
	self.german_grunt_mid.speech_prefix_p2 = "soldier"
	self.german_grunt_mid.speech_prefix_count = 4
	self.german_grunt_mid.access = "swat"
	self.german_grunt_mid.silent_priority_shout = "shout_loud_soldier"
	self.german_grunt_mid.dodge = presets.dodge.average
	self.german_grunt_mid.deathguard = false
	self.german_grunt_mid.chatter = presets.enemy_chatter.cop
	self.german_grunt_mid.steal_loot = true
	self.german_grunt_mid.no_retreat = true
	self.german_grunt_mid.no_arrest = true
	self.german_grunt_mid.loot_table = "easy_enemy"
	self.german_grunt_mid.type = CharacterTweakData.ENEMY_TYPE_SOLDIER
	self.german_grunt_mid.carry_tweak_corpse = "german_grunt_mid_body"
	self.german_grunt_mid_mp38 = clone(self.german_grunt_mid)
	self.german_grunt_mid_kar98 = clone(self.german_grunt_mid)
	self.german_grunt_mid_shotgun = clone(self.german_grunt_mid)

	table.insert(self._enemies_list, "german_grunt_mid")
	table.insert(self._enemies_list, "german_grunt_mid_mp38")
	table.insert(self._enemies_list, "german_grunt_mid_kar98")
	table.insert(self._enemies_list, "german_grunt_mid_shotgun")
end

function CharacterTweakData:_init_german_grunt_heavy(presets)
	self.german_grunt_heavy = deep_clone(presets.base)
	self.german_grunt_heavy.experience = {}
	self.german_grunt_heavy.weapon = presets.weapon.civil
	self.german_grunt_heavy.detection = presets.detection.normal
	self.german_grunt_heavy.vision = presets.vision.easy
	self.german_grunt_heavy.HEALTH_INIT = 250
	self.german_grunt_heavy.BASE_HEALTH_INIT = 250
	self.german_grunt_heavy.headshot_dmg_mul = 1
	self.german_grunt_heavy.move_speed = presets.move_speed.normal
	self.german_grunt_heavy.crouch_move = false
	self.german_grunt_heavy.surrender_break_time = {
		10,
		15
	}
	self.german_grunt_heavy.suppression = presets.suppression.easy
	self.german_grunt_heavy.surrender = presets.surrender.normal
	self.german_grunt_heavy.ecm_vulnerability = 1
	self.german_grunt_heavy.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_grunt_heavy.weapon_voice = "1"
	self.german_grunt_heavy.experience.cable_tie = "tie_swat"
	self.german_grunt_heavy.speech_prefix_p1 = "ger"
	self.german_grunt_heavy.speech_prefix_p2 = "soldier"
	self.german_grunt_heavy.speech_prefix_count = 4
	self.german_grunt_heavy.access = "swat"
	self.german_grunt_heavy.silent_priority_shout = "shout_loud_soldier"
	self.german_grunt_heavy.dodge = presets.dodge.heavy
	self.german_grunt_heavy.deathguard = false
	self.german_grunt_heavy.chatter = presets.enemy_chatter.cop
	self.german_grunt_heavy.steal_loot = true
	self.german_grunt_heavy.no_retreat = true
	self.german_grunt_heavy.no_arrest = true
	self.german_grunt_heavy.loot_table = "normal_enemy"
	self.german_grunt_heavy.type = CharacterTweakData.ENEMY_TYPE_SOLDIER
	self.german_grunt_heavy.carry_tweak_corpse = "german_grunt_body"
	self.german_grunt_heavy_mp38 = clone(self.german_grunt_heavy)
	self.german_grunt_heavy_kar98 = clone(self.german_grunt_heavy)
	self.german_grunt_heavy_shotgun = clone(self.german_grunt_heavy)
end

function CharacterTweakData:_init_german_gebirgsjager_light(presets)
	self.german_gebirgsjager_light = deep_clone(presets.base)
	self.german_gebirgsjager_light.experience = {}
	self.german_gebirgsjager_light.weapon = presets.weapon.complex
	self.german_gebirgsjager_light.detection = presets.detection.normal
	self.german_gebirgsjager_light.vision = presets.vision.normal
	self.german_gebirgsjager_light.HEALTH_INIT = 200
	self.german_gebirgsjager_light.BASE_HEALTH_INIT = 200
	self.german_gebirgsjager_light.headshot_dmg_mul = 1
	self.german_gebirgsjager_light.move_speed = presets.move_speed.fast
	self.german_gebirgsjager_light.surrender_break_time = {
		10,
		15
	}
	self.german_gebirgsjager_light.suppression = presets.suppression.hard_def
	self.german_gebirgsjager_light.surrender = presets.surrender.normal
	self.german_gebirgsjager_light.ecm_vulnerability = 1
	self.german_gebirgsjager_light.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_gebirgsjager_light.weapon_voice = "1"
	self.german_gebirgsjager_light.experience.cable_tie = "tie_swat"
	self.german_gebirgsjager_light.speech_prefix_p1 = "ger"
	self.german_gebirgsjager_light.speech_prefix_p2 = "paratrooper"
	self.german_gebirgsjager_light.speech_prefix_count = 4
	self.german_gebirgsjager_light.access = "swat"
	self.german_gebirgsjager_light.silent_priority_shout = "shout_loud_paratrooper"
	self.german_gebirgsjager_light.dodge = presets.dodge.athletic
	self.german_gebirgsjager_light.deathguard = false
	self.german_gebirgsjager_light.chatter = presets.enemy_chatter.cop
	self.german_gebirgsjager_light.steal_loot = true
	self.german_gebirgsjager_light.no_retreat = true
	self.german_gebirgsjager_light.no_arrest = true
	self.german_gebirgsjager_light.loot_table = "normal_enemy"
	self.german_gebirgsjager_light.type = CharacterTweakData.ENEMY_TYPE_PARATROOPER
	self.german_gebirgsjager_light.carry_tweak_corpse = "gebirgsjager_light_body"
	self.german_gebirgsjager_light_mp38 = clone(self.german_gebirgsjager_light)
	self.german_gebirgsjager_light_kar98 = clone(self.german_gebirgsjager_light)
	self.german_gebirgsjager_light_shotgun = clone(self.german_gebirgsjager_light)

	table.insert(self._enemies_list, "german_gebirgsjager_light")
	table.insert(self._enemies_list, "german_gebirgsjager_light_mp38")
	table.insert(self._enemies_list, "german_gebirgsjager_light_kar98")
	table.insert(self._enemies_list, "german_gebirgsjager_light_shotgun")
end

function CharacterTweakData:_init_german_gebirgsjager_heavy(presets)
	self.german_gebirgsjager_heavy = deep_clone(presets.base)
	self.german_gebirgsjager_heavy.experience = {}
	self.german_gebirgsjager_heavy.weapon = presets.weapon.complex
	self.german_gebirgsjager_heavy.detection = presets.detection.normal
	self.german_gebirgsjager_heavy.vision = presets.vision.normal
	self.german_gebirgsjager_heavy.HEALTH_INIT = 250
	self.german_gebirgsjager_heavy.BASE_HEALTH_INIT = 250
	self.german_gebirgsjager_heavy.headshot_dmg_mul = 1
	self.german_gebirgsjager_heavy.move_speed = presets.move_speed.normal
	self.german_gebirgsjager_heavy.crouch_move = false
	self.german_gebirgsjager_heavy.surrender_break_time = {
		10,
		15
	}
	self.german_gebirgsjager_heavy.suppression = presets.suppression.hard_def
	self.german_gebirgsjager_heavy.surrender = presets.surrender.normal
	self.german_gebirgsjager_heavy.ecm_vulnerability = 1
	self.german_gebirgsjager_heavy.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_gebirgsjager_heavy.weapon_voice = "1"
	self.german_gebirgsjager_heavy.experience.cable_tie = "tie_swat"
	self.german_gebirgsjager_heavy.speech_prefix_p1 = "ger"
	self.german_gebirgsjager_heavy.speech_prefix_p2 = "paratrooper"
	self.german_gebirgsjager_heavy.speech_prefix_count = 4
	self.german_gebirgsjager_heavy.access = "swat"
	self.german_gebirgsjager_heavy.silent_priority_shout = "shout_loud_paratrooper"
	self.german_gebirgsjager_heavy.dodge = presets.dodge.heavy
	self.german_gebirgsjager_heavy.deathguard = false
	self.german_gebirgsjager_heavy.chatter = presets.enemy_chatter.cop
	self.german_gebirgsjager_heavy.steal_loot = true
	self.german_gebirgsjager_heavy.no_retreat = true
	self.german_gebirgsjager_heavy.no_arrest = true
	self.german_gebirgsjager_heavy.loot_table = "normal_enemy"
	self.german_gebirgsjager_heavy.type = CharacterTweakData.ENEMY_TYPE_PARATROOPER
	self.german_gebirgsjager_heavy.carry_tweak_corpse = "gebirgsjager_heavy_body"
	self.german_gebirgsjager_heavy_mp38 = clone(self.german_gebirgsjager_heavy)
	self.german_gebirgsjager_heavy_kar98 = clone(self.german_gebirgsjager_heavy)
	self.german_gebirgsjager_heavy_shotgun = clone(self.german_gebirgsjager_heavy)

	table.insert(self._enemies_list, "german_gebirgsjager_heavy")
	table.insert(self._enemies_list, "german_gebirgsjager_heavy_mp38")
	table.insert(self._enemies_list, "german_gebirgsjager_heavy_kar98")
	table.insert(self._enemies_list, "german_gebirgsjager_heavy_shotgun")
end

function CharacterTweakData:_init_german_light(presets)
	self.german_light = deep_clone(presets.base)
	self.german_light.experience = {}
	self.german_light.weapon = presets.weapon.anarchy
	self.german_light.detection = presets.detection.normal
	self.german_light.vision = presets.vision.normal
	self.german_light.HEALTH_INIT = 600
	self.german_light.BASE_HEALTH_INIT = 600
	self.german_light.headshot_dmg_mul = 1
	self.german_light.move_speed = presets.move_speed.fast
	self.german_light.surrender_break_time = {
		10,
		15
	}
	self.german_light.suppression = presets.suppression.hard_agg
	self.german_light.surrender = presets.surrender.normal
	self.german_light.ecm_vulnerability = 1
	self.german_light.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_light.weapon_voice = "1"
	self.german_light.experience.cable_tie = "tie_swat"
	self.german_light.speech_prefix_p1 = "ger"
	self.german_light.speech_prefix_p2 = "elite"
	self.german_light.speech_prefix_count = 4
	self.german_light.access = "swat"
	self.german_light.silent_priority_shout = "shout_loud_soldier"
	self.german_light.dodge = presets.dodge.athletic
	self.german_light.deathguard = true
	self.german_light.chatter = presets.enemy_chatter.cop
	self.german_light.steal_loot = true
	self.german_light.no_retreat = true
	self.german_light.no_arrest = true
	self.german_light.loot_table = "hard_enemy"
	self.german_light.type = CharacterTweakData.ENEMY_TYPE_ELITE
	self.german_light.carry_tweak_corpse = "german_black_waffen_sentry_light_body"
	self.german_light_kar98 = clone(self.german_light)
	self.german_light_shotgun = clone(self.german_light)

	table.insert(self._enemies_list, "german_light")
	table.insert(self._enemies_list, "german_light_kar98")
	table.insert(self._enemies_list, "german_light_shotgun")
end

function CharacterTweakData:_init_german_heavy(presets)
	self.german_heavy = deep_clone(presets.base)
	self.german_heavy.experience = {}
	self.german_heavy.weapon = presets.weapon.anarchy
	self.german_heavy.detection = presets.detection.normal
	self.german_heavy.vision = presets.vision.normal
	self.german_heavy.HEALTH_INIT = 700
	self.german_heavy.BASE_HEALTH_INIT = 700
	self.german_heavy.headshot_dmg_mul = 1
	self.german_heavy.move_speed = presets.move_speed.normal
	self.german_heavy.crouch_move = false
	self.german_heavy.surrender_break_time = {
		10,
		15
	}
	self.german_heavy.suppression = presets.suppression.hard_agg
	self.german_heavy.surrender = presets.surrender.normal
	self.german_heavy.ecm_vulnerability = 1
	self.german_heavy.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_heavy.weapon_voice = "1"
	self.german_heavy.experience.cable_tie = "tie_swat"
	self.german_heavy.speech_prefix_p1 = "ger"
	self.german_heavy.speech_prefix_p2 = "elite"
	self.german_heavy.speech_prefix_count = 4
	self.german_heavy.access = "swat"
	self.german_heavy.silent_priority_shout = "shout_loud_soldier"
	self.german_heavy.dodge = presets.dodge.heavy
	self.german_heavy.deathguard = true
	self.german_heavy.chatter = presets.enemy_chatter.cop
	self.german_heavy.steal_loot = true
	self.german_heavy.no_retreat = true
	self.german_heavy.no_arrest = true
	self.german_heavy.loot_table = "elite_enemy"
	self.german_heavy.type = CharacterTweakData.ENEMY_TYPE_ELITE
	self.german_heavy.carry_tweak_corpse = "german_black_waffen_sentry_heavy_body"
	self.german_heavy_mp38 = clone(self.german_heavy)
	self.german_heavy_kar98 = clone(self.german_heavy)
	self.german_heavy_shotgun = clone(self.german_heavy)

	table.insert(self._enemies_list, "german_heavy")
	table.insert(self._enemies_list, "german_heavy_mp38")
	table.insert(self._enemies_list, "german_heavy_kar98")
	table.insert(self._enemies_list, "german_heavy_shotgun")
end

function CharacterTweakData:_init_german_fallschirmjager_light(presets)
	self.german_fallschirmjager_light = deep_clone(presets.base)
	self.german_fallschirmjager_light.experience = {}
	self.german_fallschirmjager_light.weapon = presets.weapon.complex
	self.german_fallschirmjager_light.detection = presets.detection.normal
	self.german_fallschirmjager_light.vision = presets.vision.hard
	self.german_fallschirmjager_light.HEALTH_INIT = 450
	self.german_fallschirmjager_light.BASE_HEALTH_INIT = 450
	self.german_fallschirmjager_light.headshot_dmg_mul = 1
	self.german_fallschirmjager_light.move_speed = presets.move_speed.fast
	self.german_fallschirmjager_light.surrender_break_time = {
		10,
		15
	}
	self.german_fallschirmjager_light.suppression = presets.suppression.hard_def
	self.german_fallschirmjager_light.surrender = presets.surrender.normal
	self.german_fallschirmjager_light.ecm_vulnerability = 1
	self.german_fallschirmjager_light.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_fallschirmjager_light.weapon_voice = "1"
	self.german_fallschirmjager_light.experience.cable_tie = "tie_swat"
	self.german_fallschirmjager_light.speech_prefix_p1 = "ger"
	self.german_fallschirmjager_light.speech_prefix_p2 = "paratrooper"
	self.german_fallschirmjager_light.speech_prefix_count = 4
	self.german_fallschirmjager_light.access = "swat"
	self.german_fallschirmjager_light.silent_priority_shout = "shout_loud_paratrooper"
	self.german_fallschirmjager_light.dodge = presets.dodge.athletic
	self.german_fallschirmjager_light.deathguard = true
	self.german_fallschirmjager_light.chatter = presets.enemy_chatter.cop
	self.german_fallschirmjager_light.steal_loot = true
	self.german_fallschirmjager_light.no_retreat = true
	self.german_fallschirmjager_light.no_arrest = true
	self.german_fallschirmjager_light.loot_table = "hard_enemy"
	self.german_fallschirmjager_light.type = CharacterTweakData.ENEMY_TYPE_PARATROOPER
	self.german_fallschirmjager_light.carry_tweak_corpse = "german_fallschirmjager_light_body"
	self.german_fallschirmjager_light_mp38 = clone(self.german_fallschirmjager_light)
	self.german_fallschirmjager_light_kar98 = clone(self.german_fallschirmjager_light)
	self.german_fallschirmjager_light_shotgun = clone(self.german_fallschirmjager_light)

	table.insert(self._enemies_list, "german_fallschirmjager_light")
	table.insert(self._enemies_list, "german_fallschirmjager_light_mp38")
	table.insert(self._enemies_list, "german_fallschirmjager_light_kar98")
	table.insert(self._enemies_list, "german_fallschirmjager_light_shotgun")
end

function CharacterTweakData:_init_german_gasmask(presets)
	self.german_gasmask = deep_clone(presets.base)
	self.german_gasmask.experience = {}
	self.german_gasmask.weapon = presets.weapon.complex
	self.german_gasmask.detection = presets.detection.normal
	self.german_gasmask.vision = presets.vision.hard
	self.german_gasmask.HEALTH_INIT = 500
	self.german_gasmask.BASE_HEALTH_INIT = 500
	self.german_gasmask.headshot_dmg_mul = 1
	self.german_gasmask.move_speed = presets.move_speed.normal
	self.german_gasmask.crouch_move = false
	self.german_gasmask.surrender_break_time = {
		10,
		15
	}
	self.german_gasmask.suppression = presets.suppression.hard_agg
	self.german_gasmask.surrender = presets.surrender.normal
	self.german_gasmask.ecm_vulnerability = 1
	self.german_gasmask.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_gasmask.weapon_voice = "1"
	self.german_gasmask.experience.cable_tie = "tie_swat"
	self.german_gasmask.speech_prefix_p1 = "ger"
	self.german_gasmask.speech_prefix_p2 = "elite"
	self.german_gasmask.speech_prefix_count = 4
	self.german_gasmask.access = "swat"
	self.german_gasmask.silent_priority_shout = "shout_loud_soldier"
	self.german_gasmask.dodge = presets.dodge.average
	self.german_gasmask.deathguard = true
	self.german_gasmask.chatter = presets.enemy_chatter.cop
	self.german_gasmask.steal_loot = true
	self.german_gasmask.no_retreat = true
	self.german_gasmask.no_arrest = true
	self.german_gasmask.loot_table = "elite_enemy"
	self.german_gasmask.type = CharacterTweakData.ENEMY_TYPE_ELITE
	self.german_gasmask.carry_tweak_corpse = "german_black_waffen_sentry_gasmask_body"
	self.german_gasmask_shotgun = deep_clone(self.german_gasmask)
	self.german_gasmask_shotgun.move_speed = presets.move_speed.fast
	self.german_gasmask_shotgun.HEALTH_INIT = 500

	table.insert(self._enemies_list, "german_gasmask")
end

function CharacterTweakData:_init_german_fallschirmjager_heavy(presets)
	self.german_fallschirmjager_heavy = deep_clone(presets.base)
	self.german_fallschirmjager_heavy.experience = {}
	self.german_fallschirmjager_heavy.weapon = presets.weapon.complex
	self.german_fallschirmjager_heavy.detection = presets.detection.normal
	self.german_fallschirmjager_heavy.vision = presets.vision.hard
	self.german_fallschirmjager_heavy.HEALTH_INIT = 500
	self.german_fallschirmjager_heavy.BASE_HEALTH_INIT = 500
	self.german_fallschirmjager_heavy.headshot_dmg_mul = 1
	self.german_fallschirmjager_heavy.move_speed = presets.move_speed.normal
	self.german_fallschirmjager_heavy.crouch_move = false
	self.german_fallschirmjager_heavy.surrender_break_time = {
		10,
		15
	}
	self.german_fallschirmjager_heavy.suppression = presets.suppression.hard_def
	self.german_fallschirmjager_heavy.surrender = presets.surrender.normal
	self.german_fallschirmjager_heavy.ecm_vulnerability = 1
	self.german_fallschirmjager_heavy.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_fallschirmjager_heavy.weapon_voice = "1"
	self.german_fallschirmjager_heavy.experience.cable_tie = "tie_swat"
	self.german_fallschirmjager_heavy.speech_prefix_p1 = "ger"
	self.german_fallschirmjager_heavy.speech_prefix_p2 = "paratrooper"
	self.german_fallschirmjager_heavy.speech_prefix_count = 4
	self.german_fallschirmjager_heavy.access = "swat"
	self.german_fallschirmjager_heavy.silent_priority_shout = "shout_loud_paratrooper"
	self.german_fallschirmjager_heavy.dodge = presets.dodge.heavy
	self.german_fallschirmjager_heavy.deathguard = false
	self.german_fallschirmjager_heavy.chatter = presets.enemy_chatter.cop
	self.german_fallschirmjager_heavy.steal_loot = true
	self.german_fallschirmjager_heavy.no_retreat = true
	self.german_fallschirmjager_heavy.no_arrest = true
	self.german_fallschirmjager_heavy.loot_table = "hard_enemy"
	self.german_fallschirmjager_heavy.type = CharacterTweakData.ENEMY_TYPE_PARATROOPER
	self.german_fallschirmjager_heavy.carry_tweak_corpse = "german_fallschirmjager_heavy_body"
	self.german_fallschirmjager_heavy_mp38 = clone(self.german_fallschirmjager_heavy)
	self.german_fallschirmjager_heavy_kar98 = clone(self.german_fallschirmjager_heavy)
	self.german_fallschirmjager_heavy_shotgun = clone(self.german_fallschirmjager_heavy)
	self.german_fallschirmjager_heavy_shotgun.HEALTH_INIT = 25

	table.insert(self._enemies_list, "german_fallschirmjager_heavy")
	table.insert(self._enemies_list, "german_fallschirmjager_heavy_mp38")
	table.insert(self._enemies_list, "german_fallschirmjager_heavy_kar98")
	table.insert(self._enemies_list, "german_fallschirmjager_heavy_shotgun")
end

function CharacterTweakData:_init_german_waffen_ss(presets)
	self.german_waffen_ss = deep_clone(presets.base)
	self.german_waffen_ss.experience = {}
	self.german_waffen_ss.weapon = presets.weapon.anarchy
	self.german_waffen_ss.detection = presets.detection.normal
	self.german_waffen_ss.vision = presets.vision.hard
	self.german_waffen_ss.HEALTH_INIT = 700
	self.german_waffen_ss.BASE_HEALTH_INIT = 700
	self.german_waffen_ss.headshot_dmg_mul = 1
	self.german_waffen_ss.move_speed = presets.move_speed.fast
	self.german_waffen_ss.crouch_move = false
	self.german_waffen_ss.surrender_break_time = {
		10,
		15
	}
	self.german_waffen_ss.suppression = presets.suppression.hard_def
	self.german_waffen_ss.surrender = presets.surrender.normal
	self.german_waffen_ss.ecm_vulnerability = 1
	self.german_waffen_ss.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_waffen_ss.weapon_voice = "1"
	self.german_waffen_ss.experience.cable_tie = "tie_swat"
	self.german_waffen_ss.speech_prefix_p1 = "ger"
	self.german_waffen_ss.speech_prefix_p2 = "paratrooper"
	self.german_waffen_ss.speech_prefix_count = 4
	self.german_waffen_ss.access = "swat"
	self.german_waffen_ss.silent_priority_shout = "shout_loud_paratrooper"
	self.german_waffen_ss.dodge = presets.dodge.average
	self.german_waffen_ss.deathguard = false
	self.german_waffen_ss.chatter = presets.enemy_chatter.cop
	self.german_waffen_ss.steal_loot = true
	self.german_waffen_ss.no_retreat = true
	self.german_waffen_ss.no_arrest = true
	self.german_waffen_ss.loot_table = "elite_enemy"
	self.german_waffen_ss.type = CharacterTweakData.ENEMY_TYPE_PARATROOPER
	self.german_waffen_ss.carry_tweak_corpse = "german_waffen_ss_body"
	self.german_waffen_ss_mp38 = clone(self.german_waffen_ss)
	self.german_waffen_ss_kar98 = clone(self.german_waffen_ss)
	self.german_waffen_ss_shotgun = clone(self.german_waffen_ss)
	self.german_waffen_ss_shotgun.HEALTH_INIT = 420
	self.german_waffen_ss_shotgun.BASE_HEALTH_INIT = 420

	table.insert(self._enemies_list, "german_waffen_ss")
	table.insert(self._enemies_list, "german_waffen_ss_mp38")
	table.insert(self._enemies_list, "german_waffen_ss_kar98")
	table.insert(self._enemies_list, "german_waffen_ss_shotgun")
end

function CharacterTweakData:_init_german_commander(presets)
	self.german_commander = deep_clone(presets.base)
	self.german_commander.experience = {}
	self.german_commander.weapon = presets.weapon.complex
	self.german_commander.detection = presets.detection.normal
	self.german_commander.vision = presets.vision.commander
	self.german_commander.HEALTH_INIT = 1000
	self.german_commander.BASE_HEALTH_INIT = 1000
	self.german_commander.headshot_dmg_mul = 1
	self.german_commander.move_speed = presets.move_speed.fast
	self.german_commander.surrender_break_time = {
		10,
		15
	}
	self.german_commander.suppression = presets.suppression.no_supress
	self.german_commander.ecm_vulnerability = 1
	self.german_commander.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_commander.weapon_voice = "1"
	self.german_commander.experience.cable_tie = "tie_swat"
	self.german_commander.speech_prefix_p1 = "ger"
	self.german_commander.speech_prefix_p2 = "officer"
	self.german_commander.speech_prefix_count = 4
	self.german_commander.access = "swat"
	self.german_commander.silent_priority_shout = "shout_loud_officer"
	self.german_commander.priority_shout = "shout_loud_officer"
	self.german_commander.announce_incomming = "incomming_commander"
	self.german_commander.dodge = presets.dodge.athletic
	self.german_commander.deathguard = true
	self.german_commander.chatter = presets.enemy_chatter.cop
	self.german_commander.steal_loot = true
	self.german_commander.no_retreat = true
	self.german_commander.no_arrest = true
	self.german_commander.surrender = nil
	self.german_commander.loot_table = "elite_enemy"
	self.german_commander.type = CharacterTweakData.ENEMY_TYPE_OFFICER
	self.german_commander.carry_tweak_corpse = "german_commander_body"
	self.german_commander.is_special = true
	self.german_commander.special_type = CharacterTweakData.SPECIAL_UNIT_TYPE_COMMANDER

	table.insert(self._enemies_list, "german_commander")
end

function CharacterTweakData:_init_german_og_commander(presets)
	self.german_og_commander = deep_clone(presets.base)
	self.german_og_commander.experience = {}
	self.german_og_commander.weapon = presets.weapon.complex
	self.german_og_commander.detection = presets.detection.normal
	self.german_og_commander.vision = presets.vision.commander
	self.german_og_commander.HEALTH_INIT = 1000
	self.german_og_commander.BASE_HEALTH_INIT = 1000
	self.german_og_commander.headshot_dmg_mul = 1
	self.german_og_commander.move_speed = presets.move_speed.fast
	self.german_og_commander.surrender_break_time = {
		10,
		15
	}
	self.german_og_commander.suppression = presets.suppression.no_supress
	self.german_og_commander.ecm_vulnerability = 1
	self.german_og_commander.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_og_commander.weapon_voice = "1"
	self.german_og_commander.experience.cable_tie = "tie_swat"
	self.german_og_commander.speech_prefix_p1 = "ger"
	self.german_og_commander.speech_prefix_p2 = "officer"
	self.german_og_commander.speech_prefix_count = 4
	self.german_og_commander.access = "swat"
	self.german_og_commander.silent_priority_shout = "shout_loud_officer"
	self.german_og_commander.priority_shout = "shout_loud_officer"
	self.german_og_commander.announce_incomming = "incomming_commander"
	self.german_og_commander.dodge = presets.dodge.athletic
	self.german_og_commander.deathguard = true
	self.german_og_commander.chatter = presets.enemy_chatter.cop
	self.german_og_commander.steal_loot = true
	self.german_og_commander.no_retreat = true
	self.german_og_commander.no_arrest = true
	self.german_og_commander.surrender = nil
	self.german_og_commander.loot_table = "special_enemy"
	self.german_og_commander.type = CharacterTweakData.ENEMY_TYPE_OFFICER
	self.german_og_commander.carry_tweak_corpse = "german_og_commander_body"
	self.german_og_commander.is_special = true
	self.german_og_commander.special_type = CharacterTweakData.SPECIAL_UNIT_TYPE_COMMANDER

	table.insert(self._enemies_list, "german_og_commander")
end

function CharacterTweakData:_init_german_officer(presets)
	self.german_officer = deep_clone(presets.base)
	self.german_officer.experience = {}
	self.german_officer.weapon = presets.weapon.complex
	self.german_officer.detection = presets.detection.normal
	self.german_officer.vision = presets.vision.commander
	self.german_officer.HEALTH_INIT = 420
	self.german_officer.BASE_HEALTH_INIT = 420
	self.german_officer.headshot_dmg_mul = 1
	self.german_officer.move_speed = presets.move_speed.fast
	self.german_officer.surrender_break_time = {
		10,
		15
	}
	self.german_officer.suppression = presets.suppression.no_supress
	self.german_officer.surrender = presets.surrender.normal
	self.german_officer.ecm_vulnerability = 1
	self.german_officer.ecm_hurts = {
		ears = {
			max_duration = 10,
			min_duration = 8
		}
	}
	self.german_officer.weapon_voice = "1"
	self.german_officer.experience.cable_tie = "tie_swat"
	self.german_officer.speech_prefix_p1 = "ger"
	self.german_officer.speech_prefix_p2 = "officer"
	self.german_officer.speech_prefix_count = 4
	self.german_officer.access = "swat"
	self.german_officer.silent_priority_shout = "shout_loud_officer"
	self.german_officer.dodge = presets.dodge.athletic
	self.german_officer.deathguard = true
	self.german_officer.chatter = presets.enemy_chatter.cop
	self.german_officer.steal_loot = true
	self.german_officer.no_retreat = true
	self.german_officer.no_arrest = true
	self.german_officer.loot_table = "elite_enemy"
	self.german_officer.type = CharacterTweakData.ENEMY_TYPE_OFFICER
	self.german_officer.carry_tweak_corpse = "german_commander_body"

	table.insert(self._enemies_list, "german_officer")
end


function CharacterTweakData:_set_difficulty_1()
	self:_multiply_all_hp(0.75)
	self:_multiply_weapon_delay(self.presets.weapon.normal, 1)
	self:_multiply_weapon_delay(self.presets.weapon.good, 1)
	self:_multiply_weapon_delay(self.presets.weapon.expert, 1)
	self:_multiply_weapon_delay(self.presets.weapon.sniper, 3)
	self:_multiply_weapon_delay(self.presets.weapon.gang_member, 1)

	self.presets.gang_member_damage.REGENERATE_TIME = 1.5
	self.presets.gang_member_damage.REGENERATE_TIME_AWAY = 0.2
	self.presets.gang_member_damage.HEALTH_INIT = 8000

	self:_set_characters_weapon_preset("simple")

	self.escort.HEALTH_INIT = 200
	self.flashbang_multiplier = 1
	self.presets.weapon.sniper.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 10,
			r = 500,
			acc = {
				0.9,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 7.5,
			r = 1000,
			acc = {
				0.85,
				0.95
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 6,
			r = 2500,
			acc = {
				0.8,
				0.9
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 5,
			r = 5000,
			acc = {
				0.7,
				0.8
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 3.5,
			r = 10000,
			acc = {
				0.5,
				0.7
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2.5,
			r = 20000,
			acc = {
				0.2,
				0.6
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	self.german_flamer.HEALTH_INIT = 3250
	self.german_flamer.weapon.ak47.additional_weapon_stats = {
		cooldown_duration = 5,
		shooting_duration = 3
	}
	self.german_flamer.move_speed = self.presets.move_speed.slow
end

function CharacterTweakData:_set_difficulty_2()
	self:_multiply_all_hp(1)
	self:_multiply_weapon_delay(self.presets.weapon.normal, 1)
	self:_multiply_weapon_delay(self.presets.weapon.good, 1)
	self:_multiply_weapon_delay(self.presets.weapon.expert, 1)
	self:_multiply_weapon_delay(self.presets.weapon.sniper, 2)
	self:_multiply_weapon_delay(self.presets.weapon.gang_member, 1)

	self.presets.gang_member_damage.REGENERATE_TIME = 1.5
	self.presets.gang_member_damage.REGENERATE_TIME_AWAY = 0.4

	self:_set_characters_weapon_preset("civil")

	self.presets.gang_member_damage.HEALTH_INIT = 8000
	self.escort.HEALTH_INIT = 250
	self.flashbang_multiplier = 1.25
	self.presets.weapon.sniper.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 10,
			r = 500,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 7.5,
			r = 1000,
			acc = {
				0.9,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 6,
			r = 2500,
			acc = {
				0.85,
				0.95
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 5,
			r = 5000,
			acc = {
				0.75,
				0.9
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 3.5,
			r = 10000,
			acc = {
				0.6,
				0.8
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2.5,
			r = 20000,
			acc = {
				0.4,
				0.7
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	self.german_flamer.HEALTH_INIT = 3250
	self.german_flamer.weapon.ak47.additional_weapon_stats = {
		cooldown_duration = 4,
		shooting_duration = 4
	}
	self.german_flamer.move_speed = self.presets.move_speed.slow
end

function CharacterTweakData:_set_difficulty_3()
	self:_multiply_all_hp(1)
	self:_multiply_weapon_delay(self.presets.weapon.normal, 1)
	self:_multiply_weapon_delay(self.presets.weapon.good, 1)
	self:_multiply_weapon_delay(self.presets.weapon.expert, 1)
	self:_multiply_weapon_delay(self.presets.weapon.sniper, 1)
	self:_multiply_weapon_delay(self.presets.weapon.gang_member, 1)

	self.presets.gang_member_damage.REGENERATE_TIME = 1.5
	self.presets.gang_member_damage.REGENERATE_TIME_AWAY = 0.5
	self.presets.gang_member_damage.HEALTH_INIT = 8000

	self:_set_characters_weapon_preset("complex")

	self.escort.HEALTH_INIT = 300
	self.flashbang_multiplier = 1.5
	self.presets.weapon.sniper.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 10,
			r = 500,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 7.5,
			r = 1000,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 6,
			r = 2500,
			acc = {
				0.9,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 5,
			r = 5000,
			acc = {
				0.8,
				0.95
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 3.5,
			r = 10000,
			acc = {
				0.7,
				0.85
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2.5,
			r = 20000,
			acc = {
				0.6,
				0.75
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	self.german_flamer.HEALTH_INIT = 3250
	self.german_flamer.weapon.ak47.additional_weapon_stats = {
		cooldown_duration = 3,
		shooting_duration = 5
	}
	self.german_flamer.move_speed = self.presets.move_speed.normal
end

function CharacterTweakData:_set_difficulty_4()
	if SystemInfo:platform() == Idstring("PS3") then
		self:_multiply_all_hp(1)
	else
		self:_multiply_all_hp(1)
	end

	self:_multiply_all_speeds(2, 2.1)
	self:_multiply_weapon_delay(self.presets.weapon.normal, 1)
	self:_multiply_weapon_delay(self.presets.weapon.good, 1)
	self:_multiply_weapon_delay(self.presets.weapon.expert, 1)
	self:_multiply_weapon_delay(self.presets.weapon.sniper, 1)
	self:_multiply_weapon_delay(self.presets.weapon.gang_member, 1)

	self.presets.gang_member_damage.REGENERATE_TIME = 1.5
	self.presets.gang_member_damage.REGENERATE_TIME_AWAY = 0.5
	self.presets.gang_member_damage.HEALTH_INIT = 8000

	self:_set_characters_weapon_preset("anarchy")

	self.escort.HEALTH_INIT = 300
	self.flashbang_multiplier = 1.75
	self.presets.weapon.sniper.ger_kar98_npc.FALLOFF = {
		{
			dmg_mul = 10,
			r = 500,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 7.5,
			r = 1000,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 6,
			r = 2500,
			acc = {
				1,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 5,
			r = 5000,
			acc = {
				0.9,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 3.5,
			r = 10000,
			acc = {
				0.8,
				1
			},
			recoil = {
				3.2,
				3.2
			},
			mode = {
				1,
				0,
				0,
				0
			}
		},
		{
			dmg_mul = 2.5,
			r = 20000,
			acc = {
				0.7,
				1
			},
			recoil = {
				3.2,
				1.6
			},
			mode = {
				1,
				0,
				0,
				0
			}
		}
	}
	self.german_flamer.HEALTH_INIT = 3250
	self.german_flamer.weapon.ak47.additional_weapon_stats = {
		cooldown_duration = 2,
		shooting_duration = 6
	}
	self.german_flamer.move_speed = self.presets.move_speed.normal
end
